### Function

# SpiceClientGLib QmpPort get

since: 0.36

#### Declaration [src]

    SpiceQmpPort*
    spice_qmp_port_get (
      SpicePortChannel* channel
    )

#### Description [src]

Associate a QMP port helper to the given port channel. If there is already a helper associated with the channel, it is simply returned.

Available since: 0.36

#### Parameters

`channel`

  Type: `SpicePortChannel`

  The QMP port channel.

  The data is owned by the caller of the function.

#### Return value

Type: `SpiceQmpPort`

A weak reference to the associated SpiceQmpPort.

The data is owned by the called function.